<?php

namespace catchAdmin\device\model\search;

use catchAdmin\system\model\SysDictData;
use Exception;
use think\facade\Db;

trait DeviceSearch
{
      /**
     * 根据部门搜索
     */
    public function searchDepartmentIdAttr($query, $value, $data)
    {
        if ($value) {
            $id = end($value);
            return $query->where('department_id', '=', $id);
        }
    }
     /**
     * 根据imei搜索
     */
    public function searchImeiAttr($query, $value, $data)
    {
            return $query->where('imei', 'like', '%'.$value.'%');
    }
    /**
     * iccid
     */
    public function searchIccidAttr($query, $value, $data)
    {
            return $query->where('iccid', 'like', '%'.$value.'%');
    }
     /**
     * 根据rfid搜索
     */
    public function searchRfidAttr($query, $value, $data)
    {
            return $query->where('rfid', 'like', '%'.$value.'%');
    }
     /**
     * 根据设备状态搜索
     */
    public function searchDeviceStateAttr($query, $value, $data)
    {
            if($value){
                return $query->where('bind_id', '<>', 0);
            }else{
                return $query->where('bind_id', '=', 0); 
            }
            
    }
     /**
     * 根据用户搜索
     */
    public function searchUserIdAttr($query, $value, $data)
    {
            return $query->where('user_id', '=', $value);
    }
    /**
     * 设备号
     */
    public function searchDeviceNumberAttr($query, $value, $data)
    {
        return $query->where('imei|rfid', 'like', '%'. $value . '%');
    }
    
}